package com.saye.hrs.service;


import java.util.HashMap;
import java.util.List;
/**
 * (Patient)表服务接口
 *
 * @author makejava
 * @since 2021-09-27 10:24:47
 */
public interface PatientService {

    HashMap<Object, Object> findPatientById(HashMap<Object,Object> map);

    List<HashMap<Object, Object>> findPatientList(HashMap<Object,Object> map);

    void insertPatient(HashMap<Object,Object> map);

    void updatePatient(HashMap<Object,Object> map);

    void deletePatientById(HashMap<Object,Object> map);

    List<HashMap<Object, Object>> findPatientAccountPageList(HashMap<Object, Object> map);

    List<HashMap<Object, Object>> findPatientByOpenid(HashMap<Object, Object> map);

    void patientBindWXUser(HashMap<Object, Object> map);

    void zyPatientBindWXUser(HashMap<Object, Object> map);

    void setPatientTypeByOpenid(HashMap<Object, Object> map);

    void patientUnbindWXUser(HashMap<Object, Object> map);

    void updatePatientByOpenid(HashMap<Object, Object> map);

	void syncAccountRecord(List<HashMap<Object,Object>> list);

	List<HashMap<Object, Object>> findRefundList(HashMap<Object, Object> map);

	List<HashMap<Object, Object>> findPayRequestList(HashMap<Object, Object> map);

	List<HashMap<Object, Object>> findBindCardLogList(HashMap<Object, Object> map);

    List<HashMap<Object, Object>> getZyPatientByOpenid(HashMap<Object, Object> map);

    List<HashMap<Object, Object>> findZyPatientAccountPageList(HashMap<Object, Object> map);
}
